Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.World
Class Food

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.Formalisms.World.WorldEntity
                  SEdit.Formalisms.World.FixedEntity
                      SEdit.Formalisms.World.Food

    public class Food

extends FixedEntity

Field Summary

Fields inherited from class SEdit.Formalisms.World.WorldEntity
`behaviorFileName, brainClass`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`Food()`

Method Summary
`int` | `getEnergy()`
`void` | `setEnergy(int v)`

Methods inherited from class SEdit.Formalisms.World.WorldEntity
`addInArrow, addOutArrow, afterDoIt, beforeDoIt, bodyDoIt, delete, doIt, getBehaviorFileName, getBrain, getBrainClass, getDistance, getInArrows, getLocation, getOutArrows, getPosition, isConnectable, makeBrain, selfDelete, setBehaviorFileName, setBrain, setBrainClass, showLine, toString`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Food

    public Food()

Method Detail

### getEnergy

    public int getEnergy()

### setEnergy

    public void setEnergy(int v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.